Subject: bug#31803: Problems in chroot.2, ln.1, test.1, [.1

From: Paul Eggert <[email-masked]>
Date: Wed, 13 Jun 2018 09:03:04 -0700

Eric S. Raymond wrote:
> We can cooperate to work around this.  One obvious way: If the
> square-bracket aliases on your page were marked up as the groff
> escapes \*[lB] and \*[rB] instead of '[' and ']' they would render the
> same, but I think I could teach my parser to no longer be confused and
> I wouldn't have to try to patch them out in favor of a wall of text.

Something like that should be fine. However, wouldn't it cause the man page to 
fail with traditional troff, as still shipped and supported on Solaris 10? In 
that case, perhaps we could use [\"[ and ]\"] as special markers instead of 
using \*[lB] and \*[rB]; this should work with bold old troff and groff, if I 
understand the proposal correctly.